---
nav:
  title: Guide
  order: 1
order: 1
title: Introducation
---

## What is NocoBase

NocoBase is a scalability-first, open-source no-code development platform. No programming required, build your own collaboration platform, management system with NocoBase in minutes.

## When to use NocoBase

- **SMEs and organizations build business platforms and management systems for themselves or for their industry**
  - Want the price to be low enough or even free
  - Can be flexibly customized without programming knowledge
  - Need full control of source code and data
  - Can freely distribute and sell as their own products
- **Service providers and outsourcing teams develop collaboration platforms and management systems for their clients**
  - Want to keep development costs as low as possible
  - Need the most user-friendly secondary development experience
  - Must be deployed privately as a standalone product for the client
  - Can be freely distributed and sold by the client

## Why choose NocoBase

- **Open source and free**
  - Unrestricted commercial use under the MIT license
  - Full code ownership, private deployment, private and secure data
  - Free to expand and develop for actual needs
  - Good ecological support
- **Strong no-code capability**
  - WYSIWYG visual configuration
  - Separation of data structure configuration from interface configuration
  - Rich combination of blocks and operations
  - Role-based access control
- **Developer-friendly**
  - Microkernel architecture, flexible and easy to extend, with a robust plug-in system
  - Node.js-based, with popular frameworks and technologies, including Koa, Sequelize, React, Formily, Ant Design, etc.
  - Progressive development, easy for getting-started, friendly to newcomers
  - No binding, no strong dependencies, can be used in any combination or extensions, can be used in existing projects
